New Contributor
Posts: 2
Registered: ‎09-02-2016
Accepted Solution

installing from apt repository broken for Debian9

I am trying to install the cloudera distribution according to the guide here


This no longer works because the archive.key used by cloudera is no longer considered secure.


pub   dsa1024 2009-04-22 [SC]
      F36A 89E3 3CC1 BD0F 7107  9007 3275 74EE 02A8 18DD
uid           [ unknown] Cloudera Apt Repository
sub   elg2048 2009-04-22 [E]

As you can see, the key is quite old and using algorithms that are no longer considered secure by Debian9 (and latest Ubuntu versions). an apt update fails with:

Err:6 xenial-cdh5 InRelease 
The following signatures were invalid: F36A89E33CC1BD0F71079007327574EE02A818DD

Please update your repository with a key following modern security standards. :)

Posts: 699
Kudos: 84
Solutions: 43
Registered: ‎04-06-2015

Re: installing from apt repository broken for Debian9

I have forwarded this over the the engineering team to look into. Thanks for the feedback. :)

Cy Jervis, Community Manager

Learn more about the Cloudera Community:

Terms of Service

Community Guidelines

How to use the forum